CREATE TYPE job_status AS ENUM ('Unknown', 'Canceled', 'Started', 'Error', 'Finished');

CREATE TABLE jobs (
    id uuid PRIMARY KEY,
    status job_status DEFAULT NULL,
    error text,
    output text,
    created timestamp without time zone NOT NULL);
