CREATE OR REPLACE FUNCTION comparable_patch_version(text)
  RETURNS int[] LANGUAGE SQL IMMUTABLE AS
    'SELECT string_to_array($1, ''.'')::int[]';

CREATE INDEX IF NOT EXISTS patch_version_idx ON patch USING gin (string_to_array(version, '.'));
