-- Drop foreign keys from the report table. The reports table is closer
-- to a point-in-time snapshot of a client's status. Foreign keys make managing
-- this already large table more difficult without added benefit.
ALTER TABLE report DROP CONSTRAINT report_kernel_version_fkey;
ALTER TABLE report DROP CONSTRAINT report_machine_id_fkey;
ALTER TABLE report DROP CONSTRAINT report_patch_version_fkey;

ALTER TABLE report_kernel DROP CONSTRAINT report_kernel_kernel_version_fkey;

ALTER TABLE report_kernel_patch DROP CONSTRAINT report_kernel_patch_kernel_version_fkey;
