-- Update jobs table structure to enable tracking of periodic tasks too.

CREATE TYPE job_type AS ENUM ('background', 'periodic');

ALTER TABLE jobs ADD COLUMN type job_type NOT NULL DEFAULT 'background';
ALTER TABLE jobs ADD COLUMN name TEXT NOT NULL DEFAULT '';
ALTER TABLE jobs ADD COLUMN started TIMESTAMP WITHOUT TIME ZONE DEFAULT NULL;
ALTER TABLE jobs ADD COLUMN duration_ms BIGINT DEFAULT NULL;

