-- This migration will fold the report_kernel and report_kernel_patch tables
-- into the report table.

-- First, add the columns that are currently in the two report_* tables.
ALTER TABLE report ADD COLUMN kernel_version TEXT REFERENCES kernel(version);
ALTER TABLE report ADD COLUMN kernel_running BOOLEAN;
ALTER TABLE report ADD COLUMN patch_id INTEGER REFERENCES patch(id);
ALTER TABLE report ADD COLUMN patch_state patch_state;

-- Remove constraints related to report.id column.
ALTER TABLE report_kernel DROP CONSTRAINT report_kernel_report_id_fkey;
ALTER TABLE report_kernel_patch DROP CONSTRAINT report_kernel_patch_report_id_fkey;
ALTER TABLE report DROP CONSTRAINT report_pkey;
ALTER TABLE report ALTER COLUMN id DROP NOT NULL;
ALTER TABLE report ALTER COLUMN id SET DEFAULT NULL;
DROP SEQUENCE report_id_seq;

-- TODO (in a later migration, once oldpatch is removed from deployment):
-- DROP TABLE report_kernel_patch;
-- DROP TABLE report_kernel;
-- ALTER TABLE report DROP COLUMN id;
